/**
 * ScopeType.java
 *
 * File generated from the core::ScopeType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.hpd;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ScopeType.
 *
 */

@XmlType(name = "ScopeType")
@XmlEnum
@XmlRootElement(name = "ScopeType")
public enum ScopeType {
	@XmlEnumValue("baseObject")
	BASEOBJECT("baseObject"),
	@XmlEnumValue("singleLevel")
	SINGLELEVEL("singleLevel"),
	@XmlEnumValue("wholeSubtree")
	WHOLESUBTREE("wholeSubtree");
	
	private final String value;

    ScopeType(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ScopeType fromValue(String v) {
        for (ScopeType c: ScopeType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}